Subject: Re: linux-next: build failure after merge of the wireless-next tree

From: Larry Finger <[email-masked]>
Date: Mon, 01 Apr 2013 23:07:02 -0500

On 04/01/2013 10:31 PM, Stephen Rothwell wrote:
> Hi Larry,
>
> On Mon, 01 Apr 2013 22:07:24 -0500 Larry Finger <[email-masked]> wrote:
>>
>> On 04/01/2013 09:34 PM, Stephen Rothwell wrote:
>>>
>>> After merging the wireless-next tree, today's linux-next build (x86_64
>>> allmodconfig) failed like this:
>>>
>>> drivers/net/wireless/rtlwifi/rtl8188ee/dm.c:30:18: fatal error: wifi.h: No such file or directory
>>>
>>> Caused by commit f0eb856e0b6c ("rtlwifi: rtl8188ee: Add new driver").
>>> Forgot a file?
>>
>> I do not understand. File wifi.h is definitely there and is in
>> drivers/net/wireless/rtlwifi/. Use of that directory as a source of include
>> files is handled by "ccflags-y += -I drivers/net/wireless/rtlwifi
>> -D__CHECK_ENDIAN__" in the Makefile for rtl8188ee. In fact, it builds just fine
>> here.
>>
>> What am I missing?
>
> I don't know, sorry.  The tree I have also has
> drivers/net/wireless/rtlwifi/wifi.h. All the other uses of wifi.h in the
> other drivers below that directory use
>
> #include "../wifi.h"
>
> Maybe it has something to do with using O=... on the command line (which I do).

I was trying to get rid of the relative directory notation, but I guess I 
screwed it up somewhere. Rather than "wifi.h, I suspect I should have used <wifi.h>.

Larry